Subject: Re: [PATCH] transport: fix leak with transport helper URLs

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 Aug 2024 09:14:51 -0700

Patrick Steinhardt <[email-masked]> writes:

>> I saw that you've merged this to `next` already, but: this looks good to
>> me, thanks!
>> 
>> Patrick
>
> I just noticed that this also makes a couple of test suites pass with
> leak checking enabled. So below diff should likely be applied on top.

I'll think about it.  I do not want to see too many "ok, we have now
marked this as leak-free" plus "ouch, we have unrelated fix and its
test now triggers leaks from another subsystem we happen to use",
especially when our primary business is not leak-plugging (e.g., the
"ls-remote outside a repo" use case was a real regression fix even
though it sort of falls into "if it hurts, don't do it" category).

Thanks.